%define _flairver 3.3
%define _flairrel 0.1
%define _prefix /opt/flair/%{_flairver}
%define bindir %{_prefix}/bin
%define prgdir %{_prefix}
%define is_mandrake %(test -e /etc/mandrake-release && echo 1 || echo 0)
%define is_suse %(test -e /etc/SuSE-release && echo 1 || echo 0)
%define is_fedora %(test -e /etc/fedora-release && echo 1 || echo 0)
%define debug_package %{nil}

# to correctly generate an rpm for other distributions
%define _source_filedigest_algorithm 0
%define _binary_filedigest_algorithm 0
%define _binary_payload w9.gzdio

Name:    flair-geoviewer
Version: %{_flairver}
Release: 13hepx%{_flairrel}a
Vendor:  Vasilis Vlachoudis
#Packager: <Vasilis.Vlachoudis@cern.ch>
Packager: <keisuke.fujii@kek.jp>
Prefix:  %{_prefix}
Source:  http://cern.ch/%{name}/%{name}-%{version}-%{_flairrel}.tgz
Patch0:  localhost:/%{name}/%{name}-3.2-makefile.patch
URL:     http://cern.ch/flair
BuildRoot: %{_tmppath}/%{name}-buildroot
License: Free for non-commercial non weapon related use

Summary: flair geometry viewer library
Group: Applications/Engineering
Requires: flair = %{version}-%{release}
#Requires: python3-imaging-tk
Requires: tk
BuildRequires: python3-devel
BuildRequires: tk-devel
BuildRequires: tcl-devel

%description
A 2D/3D geometry editor (viewer and debugger) for flair geometries.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
#%patch0 -p1 -b .osx
# KF: dirty hack to work around 'error: index must be an integer' in g++
mv rules.mk rules.mk.orig
sed -e 's;.*-fstack-protector.*;;' rules.mk.orig > rules.mk
# dirty hack ends here

%build
#make -j 4 TARGET=%_target_cpu DEBUG=yes THREAD=no
#make -j 4 TARGET=%_target_cpu DEBUG=yes
make -j 4 TARGET=%_target_cpu

%install
rm -Rf $RPM_BUILD_ROOT
#make install ROOT=$RPM_BUILD_ROOT
make ROOT=$RPM_BUILD_ROOT DESTDIR=%{prgdir} install
#make install DESTDIR=$RPM_BUILD_ROOT%{prgdir}

find $RPM_BUILD_ROOT/opt -type d | sed -e "s;$RPM_BUILD_ROOT;%dir ;" \
			     | grep -ve '^%dir %{_prefix}$' \
			     | grep -ve '^%dir /$'  \
			     | grep -ve '^%dir /opt$' \
			     | grep -ve '^%dir $' > list.d

%clean
rm -rf $RPM_BUILD_ROOT

%files -f list.d
%defattr(-,root,wheel,0755)
%{prgdir}/AUTHORS.geoviewer
%{prgdir}/BUGS.geoviewer
%{prgdir}/README.geoviewer
%{prgdir}/LICENSE.geoviewer
%{prgdir}/*.so
%{prgdir}/usrbin2dvh
%{prgdir}/fonts/*.tga

%post

%changelog
* Wed Nov 8 2023 Keisuke Fujii <keisuke.fujii@kek.jp>
- Version: 3.3-13hepx0.1a
- build with python3-3.11 and fixed gcc13
  with -fstack-protector (causing g++ error:) disabled.
- for macos 13

* Fri Oct 6 2023 Keisuke Fujii <keisuke.fujii@kek.jp>
- Version: 3.2-12hepx4.5f
- build with python3-3.8.12 and fixed gcc11.2.0
  with -fstack-protector (causing g++ error:) disabled.
- for macos 12

* Thu Oct 5 2023 Keisuke Fujii <keisuke.fujii@kek.jp>
- Version: 3.2-10.15hepx4.5f
- rebuild with python3-3.12.0 and fixed gcc10.5 together with DEBUG=yes option
- for macosx 10.15

* Wed Oct 4 2023 Keisuke Fujii <keisuke.fujii@kek.jp>
- Version: 3.2-10.15hepx4.5e
- rebuild with fixed gcc10.5 together with DEBUG=yes and THREAD=no options
- for macosx 10.15

* Tue Oct 3 2023 Keisuke Fujii <keisuke.fujii@kek.jp>
- Version: 3.2-10.15hepx4.5d
- rebuild with gcc10.5 and DEBUG option
- for macosx 10.15

* Tue Oct 3 2023 Keisuke Fujii <keisuke.fujii@kek.jp>
- Version: 3.2-10.15hepx4.5c
- rebuild with gcc10.5
- for macosx 10.15

* Sun Oct 1 2023 Keisuke Fujii <keisuke.fujii@kek.jp>
- Version: 3.2-10.15hepx4.5b
- removed make file patch and set PKG_CONFIG_PATH properly
- rebuild with gcc9.5
- for macosx 10.15

* Thu Sep 28 2023 Keisuke Fujii <keisuke.fujii@kek.jp>
- Version: 3.2-10.15hepx4.5a
- for macosx 10.15

* Mon Sep 02 2019 Vasilis Vlachoudis <Vasilis.Vlachoudis@cern.ch>
- Version: 3.0.0
* Fri Sep 01 2017 Vasilis Vlachoudis <Vasilis.Vlachoudis@cern.ch>
- Version: 2.3-2
* Sun Jan 1 2012 Vasilis Vlachoudis <Vasilis.Vlachoudis@cern.ch>
- Complete changelog can be found on the flair package
